namespace BingoBrain.Core
{
    /// <summary>
    /// 系统
    /// 承载逻辑
    /// 1）EntitySystem
    /// 2）GameObjectSystem
    /// </summary>
    public abstract class BaseSystem
    {
        public BaseSystem()
        {
        }

        public virtual void Init()
        {
        }

        public virtual void InitLate()
        {
        }

        public virtual void Dispose()
        {
        }

        public virtual void Update()
        {
        }

        public virtual void LateUpdate()
        {
        }

        public virtual void FixedUpdate()
        {
        }
    }
}